contact/urls.py
from django.urls import path
from . import views

app_name = 'contact'

urlpatterns = [
    path('', views.contact, name='contact'),
	]

login/urls.py
from django.contrib import admin
from django.urls import path
from . import views

app_name = 'login'

urlpatterns = [
    path('', views.loginpage, name='loginpage'),
    path('menu/', views.menupage, name='menupage'),
    path('logout/',views.logoutpage, name='logoutpage'),
]

pageabout/urls.py
from django.urls import path
from . import views

app_name = 'pageabout'

urlpatterns = [
    path('', views.about, name='about'),

    # dilanjutkan ...
]

techassist/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
	path('contact/', include('contact.urls')),
    path('HowItWorks/', include('techassistHowItWorks.urls')),
    path('about/', include('pageabout.urls')),
    path('', include(('techassisthome.urls', 'techassisthome'), namespace='techassisthome')),
	path('login/', include('login.urls')),
]

techassistHowItWorks/urls.py
from django.urls import path
from .views import isiComment

urlpatterns = [
    path('', isiComment, name='isiComment'),

]

techassisthome/urls.py
from django.urls import path
from .views import *

app_name = 'homepage'

urlpatterns = [
    path('', home, name='home'),
]

contact/models.py
from django.db import models

# Create your models here.
class Contact(models.Model):
	yourname = models.CharField(max_length=50)
	email = models.CharField(max_length=50)
	subject = models.CharField(max_length=200)
	

login/models.py
from django.db import models

# Create your models here.

pageabout/models.py
from django.db import models


# Create your models here.
class Rate(models.Model):
    CATEGORY=[('1', 'Bad'),
            ('2', 'Poor'),
            ('3', 'Ok'),
            ('4', 'Good'),
            ('5', 'Very Good'),
            ('6', 'Excellent')]
            
    name = models.CharField(max_length=50, default='')
    forum = models.CharField(max_length=50, default='')
    star = models.CharField(max_length=50, choices=CATEGORY)
    

techassistHowItWorks/models.py
from django.db import models

# Create your models here.
class Comment(models.Model):
    name = models.CharField(max_length=50)
    comments = models.CharField(max_length=200)

techassisthome/models.py
from django.db import models
from django.core.validators import MaxLengthValidator

# Create your models here.
class PostModel(models.Model):
    KATEGORI = (
        ('Like', 'I Like It!'),
        ('Dislike', 'Hmm Not Yet'),
    )
    message  = models.CharField(max_length=20)
    

contact/forms.py
from django import forms
from .models import Contact

class ContactForm(forms.ModelForm):
    class Meta :
        model = Contact
        fields = ('yourname','email','subject')
        labels={
                'yourname':"Your name:",
                'email':"Email:",
				'subject':"Message:",
            }

pageabout/forms.py
from django import forms
from .models import Rate
from django.forms import ModelForm

class RateForm(ModelForm):
    class Meta:
        model= Rate
        fields = {'name', 'forum', 'star'}
        labels = { 'name' : 'name', 'forum' : 'forum', 'star' : 'Star'}
        widgets = {
            'name' : forms.TextInput(attrs={'class': 'form-control',
                                        'type' : 'text'}),
            'forum' : forms.TextInput(attrs={'class' : 'form-control',
                                        'type' : 'text'}),
            'star' : forms.Select(attrs={'class': 'form-control'}),
        }

techassistHowItWorks/forms.py
from django import forms
from .models import Comment

class CommentForm(forms.ModelForm):
    class Meta :
        model = Comment
        fields = ('name','comments')
        labels={
                'name'      : "Name             :",
                'comments'   : "Comments         :",



            }

techassisthome/forms.py
from django import forms
from .models import PostModel

class PostForm(forms.ModelForm):
    KATEGORI = [
        ('Like', 'I Like It!'),
        ('Dislike', 'Hmm Not Yet'),
    ]
    message  = forms.ChoiceField(choices=KATEGORI, widget=forms.RadioSelect())
    class Meta:
        model = PostModel
        fields = [
            'message',
        ]

contact/views.py
from django.shortcuts import render, redirect
from .models import Contact
from .forms import ContactForm
	
def contact(request):
	if request.method == "POST":
		form = ContactForm(request.POST)
		if form.is_valid():
			form.save()
			return redirect('/contact')
			
	else:
		form = ContactForm()
		
		return render(request, "contact.html", {'form' : form})
		

login/views.py
from django.shortcuts import render, redirect
from django.contrib.auth.forms import AuthenticationForm
from django.contrib.auth import login, logout
from django.contrib.auth.decorators import login_required

# Create your views here.
def loginpage(request):
	if request.user.is_authenticated:
		return render(request,'menu.html')
	else:
		if request.method == 'POST':
			form = AuthenticationForm(data=request.POST)
			if form.is_valid():
				user = form.get_user()
				login(request, user)
				return redirect('login:menupage')
		else:
			form = AuthenticationForm()
		return render(request, 'login.html', {'form':form})


def menupage(request):
	if request.user.is_authenticated:
		return render(request,'menu.html')
	else:
		return redirect('login:loginpage')

def logoutpage(request):
	if request.user.is_authenticated:
		if request.method == 'POST':
			logout(request)
	return redirect('login:loginpage')

pageabout/views.py
from django.shortcuts import render
from .forms import RateForm
from .models import Rate
from django.http import HttpResponseRedirect


# Create your views here.
def about(request):
    return render(request, 'about.html')

def about(request):
    if request.method == 'POST':
        form = RateForm(request.POST)
        if form.is_valid():
            form.save()
            # return HttpResponseRedirect('../about')
    # else:
    form = RateForm()

    content = {'form' : form}

    return render(request, 'about.html', content)

techassistHowItWorks/views.py
from django.shortcuts import render, redirect
from .models import Comment
from .forms import  CommentForm

# Create your views here.


def isiComment(request):
    if request.method == "POST":
        form = CommentForm(request.POST)
        if form.is_valid():
            form.save()

            # return render(request, "howitworks.html",{'form' : form})
            # return redirect('isiComment')
        

    else:
        form = CommentForm()
    comment_user = Comment.objects.all()
    

    return render(request, "howitworks.html",{'form' : form, 'comment_user' : comment_user})
    

techassisthome/views.py
from django.shortcuts import render, redirect
from .models import PostModel
from .forms import PostForm
from django import forms

# Create your views here.
def home(request):
    post_model=PostModel.objects.all() #.order_by('-date')
    post_form = PostForm(request.POST or None) 
    error = None
    if post_form.is_valid():
        if request.method == 'POST':
            PostModel.objects.create(
                message = post_form.cleaned_data.get('message'),
                )
            return redirect('techassisthome:home')
        else:
            error = post_form.errors
    context = {
        'isian':post_form,
        'postingan':post_model,
        'navItem':'home',
        'resp':'Thanks',
    }
    return render(request, 'home.html', context)

contact/templates/contact.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}
<html>
<head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'css/contact.css' %}">
		<script src="{% static 'js/contact.js' %}" type="text/javascript"></script>
		<script src="https://code.jquery.com/jquery-3.4.1.js"></script>
        <title>Contact</title>
</head>
  <body>
        <section>
                <div class="container">
					<div class="row">
						<div class="col">
							<br><br><br><br>
							<h1 id="con">CONTACT US</h1>
							<h2>Keep in charged with us</h2>
							<p id="msg">Send a Message</p>
							<form method="POST">
								{% csrf_token %}
								<table class="table">
									<div class="form-group">
										{{form}}
									</div>
								</table>
								<div class="submitBtn">
									<button type="submit" class="btn btn-primary">
										SUBMIT
									</button>
								</div>		
							</form>
						</div>
						<div class="col">
							<br><br><br><br>
							<img id="cs" src="{% static 'images/cs.jpg' %}" class="img-fluid" alt="cs">
							<h1 id="adc">Address and Contact</h1>
							<img id="email" src="{% static 'images/email.png' %}" class="img-fluid" alt="email">
						</div>
					</div>
				</div>
        </section>
  </body>
</html>
{% endblock %}

login/templates/login.html
{% extends 'navbar.html' %}
{% load staticfiles %}
{% load static %}
{% block content %}
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

	<link rel="stylesheet" href="{% static 'css/navbar.css' %}">
	<title>Ijug's Login</title>

	<style>
	.form {
  position: relative;
  z-index: 1;
  background: #FFFFFF;
  max-width: 360px;
  margin: 0 auto 100px;
  padding: 45px;
  text-align: center;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
}
	</style>
</head>

<body>
	 <h1>Login</h1>
	 <div class="form">
	 <form class="site-form" action="{%url 'login:loginpage' %}" method="post" style="margin-top: 20px;">
	 	{% csrf_token %}
	 	<div id="flexbox-container">
	 	{{form.as_p}}
	 	</div>
	 	<input class="btn btn-primary" type="submit" value="Login">
	 </form>
	</div>
</body>
{% endblock %}

login/templates/menu.html
{% extends 'navbar.html' %}
{% load staticfiles %}
{% load static %}
{% block content %}
<!DOCTYPE html>
<html>
<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	
		<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	
		<link rel="stylesheet" href="{% static 'css/navbar.css' %}">
	<title>Welcome</title>
	<style>
	.form {
  position: relative;
  z-index: 1;
  background: #FFFFFF;
  max-width: 400px;
  margin: 0 auto 150px;
  padding: 55px;
  text-align: center;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
}
</style>
</head>

<body>
	<div class="container form">
		<h1>Selamat, Anda Berhasil Login!</h1>
		{% if user.is_authenticated %}
		<h3>Hai {{ user.username }}!</h3>
		<form class="logout-link" action="{%url 'login:logoutpage' %}" method="post">
			{% csrf_token %}
			<button type="submit">Logout</button>
		</form>
		{% endif %}
	</div>
	
</body>
{% endblock %}

pageabout/templates/about.html
{% extends 'navbar.html' %}
{% load static %}
{% load staticfiles %}
{% block content %}
<html>

<head>
 <!--css/js files are also supported, you can
 refer them using relative path.
 Save all files first, including html file
 to use this feature. -->

<!--Check Examples

-->
	<!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        
        <title>Welcome</title>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  
</head>
  <body class="about" >
        <section>
                <div class="container" id="text">
                    <h1><strong><br><br><br>Regarding Us</strong></h1>
                    <p> Friendly, Expert for your daily Assitant <br> TechAssitant provide information All about technology. </p>
                </div>                       
                <div class="container"> 
                        <form action="/about/" method="post">
                        {% csrf_token %}
                        <div class="form-group">
                           <label for="name">Name</label>
                           {{ form.name }}
                        </div>
                        <div class="form-group">
                           <label for="forum">Forum</label>
                           {{ form.forum }}
                           <!-- <input type="text" name="search" id="search" placeholder="Search Employee Details" class="form-control" />
                           <div id="suggesstion-box"></div> -->
                           <!-- <ul class="list-group" id="result"></ul> -->

                        </div>
                        <div class="form-group">
                           <label for="star">stars</label>
                           {{ form.star }}
                        </div>                
                        
                        </form>
                        
                </div>

                <!-- <button id="button" type="button">Click</button> -->
                <button id = "button" type="submit" class="btn btn-primary" value="Save">Submit</button>                            
                  <div id="overlay">
                  <div class="cv-spinner">
                  <span class="spinner"></span>
                  </div>
                  </div>
                
        </section>
  </body>
</html>


<style>
.about{
    background-image: url("https://i.imgur.com/4EeCjso.png");
    background-repeat: no-repeat;
    background-size: cover;
    height: auto;
    
}
#text{
    
    margin-left: 7%;
    text-align: 8vw;
    font-family: Rasa;
    font-size: 2vw;
}
#div-nav{
    font-family: Muli;
    font-size: 20px;
    width: 100%;
  }

#button{
	display:block;
	margin:20px auto;
	padding:10px 30px;
	background-color:blueviolet;
  cursor: pointer;
}
#overlay{	
	position: fixed;
	top: 0;
	z-index: 100;
	width: 100%;
	height:100%;
	display: none;
	background: rgba(0,0,0,0.6);
}
.cv-spinner {
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;  
}
.spinner {
	width: 40px;
	height: 40px;
	border: 4px #ddd solid;
	border-top: 4px #2e93e6 solid;
	border-radius: 50%;
	animation: sp-anime 0.8s infinite linear;
}
@keyframes sp-anime {
	0% { 
		transform: rotate(0deg); 
	}
	100% { 
		transform: rotate(359deg); 
	}
}
.is-hide{
	display:none;
}
</style>

<script>
// $(document).ready(function () {
//     $('#search').keydown(function () {
//         $('#result').html('');
//         $('#state').val('');
//         var searchField = $('#search').val();
//         var expression = new RegExp(searchField, "i");
//         $.getJSON('static/dataforum.json', function(data) {
//             // THIS IS AJAX
//             $.each(data, function (key, value) {
//                 if (value.name.search(expression) != -1){
//                     $('#result').append('<li style="padding: 0.1rem">' + value.name + '</li>');
//                 }
//             });
//         });
//     });

//     $('#result').on('click', 'li', function () {
//         var click_text = $(this).text();
//         $('#id_namaproduk').val(click_text);
//         $("#result").html('');
//     });

    // $('#buttonCari').hover(function () {
    //     $('#buttonCari').css('background-color', '#67809F');
    //     $('#buttonCari').css('color', '#FFFFFF');
    // },function () {
    //     $('#buttonCari').css('background', 'transparent');
    //     $('#buttonCari').css('color', '#2E3131');
    // });
// });





// $(document).ready(function(){
// 	$("#search").keyup(function(){
// 		$.ajax({
// 		type: "POST",
// 		url: "static/dataforum.json",
// 		data:'keyword='+$(this).val(),
// 		// beforeSend: function(){
// 		// 	$("#search-box").css("background","#FFF url(LoaderIcon.gif) no-repeat 165px");
// 		// },
// 		success: function(data){
// 			$("#suggesstion-box").show();
// 			$("#suggesstion-box").html(data);
// 			$("#search").css("background","#FFF");
// 		}
// 		});
// 	});
// });
// //To select country name
// function selectCountry(val) {
// $("#search").val(val);
// $("#suggesstion-box").hide();
// }




// $('#search').autocomplete({
//     serviceUrl: 'static/dataforum.json',
//     onSelect: function (suggestion) {
//         alert('You selected: ' + suggestion.value + ', ' + suggestion.data);
//     }
// });



// function autocomplete(inp, arr) {
//   /*the autocomplete function takes two arguments,
//   the text field element and an array of possible autocompleted values:*/
//   var currentFocus;
//   /*execute a function when someone writes in the text field:*/
//   inp.addEventListener("input", function(e) {
//       var a, b, i, val = this.value;
//       /*close any already open lists of autocompleted values*/
//       closeAllLists();
//       if (!val) { return false;}
//       currentFocus = -1;
//       /*create a DIV element that will contain the items (values):*/
//       a = document.createElement("DIV");
//       a.setAttribute("id", this.id + "autocomplete-list");
//       a.setAttribute("class", "autocomplete-items");
//       /*append the DIV element as a child of the autocomplete container:*/
//       this.parentNode.appendChild(a);
//       /*for each item in the array...*/
//       for (i = 0; i < arr.length; i++) {
//         /*check if the item starts with the same letters as the text field value:*/
//         if (arr[i].substr(0, val.length).toUpperCase() == val.toUpperCase()) {
//           /*create a DIV element for each matching element:*/
//           b = document.createElement("DIV");
//           /*make the matching letters bold:*/
//           b.innerHTML = "<strong>" + arr[i].substr(0, val.length) + "</strong>";
//           b.innerHTML += arr[i].substr(val.length);
//           /*insert a input field that will hold the current array item's value:*/
//           b.innerHTML += "<input type='hidden' value='" + arr[i] + "'>";
//           /*execute a function when someone clicks on the item value (DIV element):*/
//               b.addEventListener("click", function(e) {
//               /*insert the value for the autocomplete text field:*/
//               inp.value = this.getElementsByTagName("input")[0].value;
//               /*close the list of autocompleted values,
//               (or any other open lists of autocompleted values:*/
//               closeAllLists();
//           });
//           a.appendChild(b);
//         }
//       }
//   });
//   /*execute a function presses a key on the keyboard:*/
//   inp.addEventListener("keydown", function(e) {
//       var x = document.getElementById(this.id + "autocomplete-list");
//       if (x) x = x.getElementsByTagName("div");
//       if (e.keyCode == 40) {
//         /*If the arrow DOWN key is pressed,
//         increase the currentFocus variable:*/
//         currentFocus++;
//         /*and and make the current item more visible:*/
//         addActive(x);
//       } else if (e.keyCode == 38) { //up
//         /*If the arrow UP key is pressed,
//         decrease the currentFocus variable:*/
//         currentFocus--;
//         /*and and make the current item more visible:*/
//         addActive(x);
//       } else if (e.keyCode == 13) {
//         /*If the ENTER key is pressed, prevent the form from being submitted,*/
//         e.preventDefault();
//         if (currentFocus > -1) {
//           /*and simulate a click on the "active" item:*/
//           if (x) x[currentFocus].click();
//         }
//       }
//   });
//   function addActive(x) {
//     /*a function to classify an item as "active":*/
//     if (!x) return false;
//     /*start by removing the "active" class on all items:*/
//     removeActive(x);
//     if (currentFocus >= x.length) currentFocus = 0;
//     if (currentFocus < 0) currentFocus = (x.length - 1);
//     /*add class "autocomplete-active":*/
//     x[currentFocus].classList.add("autocomplete-active");
//   }
//   function removeActive(x) {
//     /*a function to remove the "active" class from all autocomplete items:*/
//     for (var i = 0; i < x.length; i++) {
//       x[i].classList.remove("autocomplete-active");
//     }
//   }
//   function closeAllLists(elmnt) {
//     /*close all autocomplete lists in the document,
//     except the one passed as an argument:*/
//     var x = document.getElementsByClassName("autocomplete-items");
//     for (var i = 0; i < x.length; i++) {
//       if (elmnt != x[i] && elmnt != inp) {
//       x[i].parentNode.removeChild(x[i]);
//     }
//   }
// }
// /*execute a function when someone clicks in the document:*/
// document.addEventListener("click", function (e) {
//     closeAllLists(e.target);
// });
// }



  jQuery(function($){
	  $(document).ajaxSend(function() {
		  $("#overlay").fadeIn(300);　
	  });
		
	  $('#button').click(function(){
		  $.ajax({
			  type: 'GET',
			  success: function(data){
				  console.log(data);
			  }
		  }).done(function() {
  			setTimeout(function(){
	  			$("#overlay").fadeOut(300);
		  	},500);
		  });
	  });	
  });

  $("p").mouseover(function(){
    $("p").css("background-color", "blueviolet");
  });

  $("p").mouseleave(function(){
    $("p").css("background-color", "");
  });



</script>

{% endblock %}

techassistHowItWorks/templates/navbar.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/navbarfix.css' %}">
</head>
<body  >
        <section id="header">
                <div class="container-fluid">
                    <nav class="navbar navbar-expand-lg navbar-dark ">
        
                            <div class="container-fluid">
                                    <a href="{% url 'homepage:home' %}" class="navbar-brand">TechAssistForum</a>
                                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                                    aria-expanded="false" aria-label="Toggle navigation">
                                <span class="navbar-toggler-icon"></span>
                            </button>
                            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                                <ul class="navbar-nav ml-auto">
                                    <li class="nav-item  ">
                                        <a href="{% url 'homepage:home' %}" class="nav-link">Home</a>
                                    </li>
                                    <li class="nav-item   ">
                                        <a href="{% url 'pageabout:about' %}" class="nav-link">About</a>
                                    </li>
                                    <li class="nav-item ">
                                        <a href="{% url 'isiComment' %}" class="nav-link">HowItWorks</a>
                                    </li>
                                    <li class="nav-item ">
                                        <a href="{% url 'techassistcontact:contact' %}" class="nav-link">Contact</a>
                                    </li>
                                    <li class="nav-item   ">
                                            <a href="#" class="nav-link">Forum</a>
                                    </li>
                                </ul>
                            </div>
                            </div>
                    </nav> 
                </div>
        
            </section>
            {% block content %}
            {% endblock %}


            <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
            <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
        
        
</body>
</html>

templates/navbar.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/navbarfix.css' %}">
	<script src="https://code.jquery.com/jquery-3.4.1.js"></script>
</head>
<body>
        <section id="header">
                <div class="container-fluid">
                    <nav class="navbar navbar-expand-lg navbar-dark ">
        
                            <div class="container-fluid">
                                    <a href="" class="navbar-brand">TechAssistForum</a>
                                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                                    aria-expanded="false" aria-label="Toggle navigation">
                                <span class="navbar-toggler-icon"></span>
                            </button>
                            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                                <ul class="navbar-nav ml-auto">
                                    <li class="nav-item">
                                        <a href="{% url 'techassisthome:home' %}" class="nav-link">Home</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="{% url 'pageabout:about' %}" class="nav-link">About</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="{% url 'isiComment' %}" class="nav-link">HowItWorks</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="{% url 'contact:contact' %}" class="nav-link">Contact</a>
                                    </li>
									<li class="nav-item">
                                        <a href="{% url 'login:loginpage' %}" class="nav-link">Login / Logout</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="" class="nav-link">Forum</a>
                                    </li>
                                </ul>
                            </div>
                            </div>
                    </nav> 
                </div>
            </section>
            {% block content %}
            {% endblock %}
            <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
            <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>